<!DOCTYPE html>
<html lang="it">

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta name="author" content="marcor">
  <title>Login - FAAC Assessment Test</title>

	<script type='text/javascript' src="https://cdnjs.cloudflare.com/ajax/libs/jquery/1.12.1/jquery.min.js"></script>
	<script type='text/javascript' src="https://cdnjs.cloudflare.com/ajax/libs/knockout/3.4.0/knockout-min.js"></script>

	<script type='text/javascript' src="js/LoginViewModel.js"	defer="defer"></script>

	<link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1q8mTJOASx8j1Au+a5WDVnPi2lkFfwwEAa8hDDdjZlpLegxhjVME1fgjWPGmkzs7" crossorigin="anonymous">

	<link href="css/login.css" rel="stylesheet">

</head>

<body>

  <div class="alert alert-danger" id="error_msg" style="display:none;">
    L'autenticazione non è riuscita
  </div>

	<div class="container well" data-bind="visible: anonymous">

		<form class="form-signin" data-bind="submit:login">

			<img src="img/hub_logo.jpg" class="img-responsive center-block"/>

			<h2 class="form-signin-heading">Login</h2>

			<label for="username" class="sr-only">Username</label>
			<input type="text" id="username" data-bind="value: username" class="form-control" placeholder="Username" required autofocus>

			<label for="password" class="sr-only">Password</label>
			<input type="password" id="password" data-bind="value: password" class="form-control" placeholder="Password" required>

			<button class="btn btn-lg btn-primary btn-block" type="submit">Login</button>
		</form>

		<div>
			tip: valid username/password are john/silver and billy/bones
		</div>

	</div> <!-- /container -->

	<div class="container well" data-bind="visible: logged">
		<div>
		  	<h1>Authentication successful</h1>
		    <p>
					Hi <span data-bind="text: username"></span>, here is your secret token <span data-bind="text: token"></span>
		    </p>
		</div>
	</div>

</body>
